    import PropertyFactoryShader from 'f.lux/src/PropertyFactoryShader.js'

public class | source

# PropertyFactoryShader

Specialized shader that uses a StateType instance to instantiate a Property. Used by `KeyedApi` for adding child properties to the Property#shader.

#### See:

- Shader

## Constructor Summary

Public Constructor
public | constructor(stateType: *, parent: *) |

## Member Summary

Public Members
public | elementType: * |
public | parent: * |
public | propertyShaderDefn: {} |
public | stateType: * |

## Method Summary

Public Methods
public | addProperty(name: *, stateType: *) |
public | setElementType(stateType: *) |
public | shadowProperty(time: *, name: *, parentState: *, parentImpl: *): * |
public | shouldAutomount(): * |

## Public Constructors

### public constructor(stateType: *, parent: *) source

#### Params:

Name | Type | Attribute | Description
stateType | * |  |
parent | * |  |

## Public Members

### public elementType: * source

### public parent: * source

### public propertyShaderDefn: {} source

### public stateType: * source

## Public Methods

### public addProperty(name: *, stateType: *) source

#### Params:

Name | Type | Attribute | Description
name | * |  |
stateType | * |  |

### public setElementType(stateType: *) source

#### Params:

Name | Type | Attribute | Description
stateType | * |  |

### public shadowProperty(time: *, name: *, parentState: *, parentImpl: *): * source

#### Params:

Name | Type | Attribute | Description
time | * |  |
name | * |  |
parentState | * |  |
parentImpl | * |  |

#### Return:

*

### public shouldAutomount(): * source

#### Return:

*